-- FSN#36519
--
-- Wis het wachtwoord van iedereen die nog oude stijl wachtwoordhash heeft
--      en dus sinds FSN#32618 (2015.3) niet is ingelogd
--
-- (c) 2016 Facilitor B.V.
SET ECHO ON
SPOOL xFSN36519.lst
SET DEFINE OFF

BEGIN
    FOR c1 IN (  SELECT *
                    FROM prs_perslid
                   WHERE prs_perslid_wachtwoord_hash IS NOT NULL
                         AND prs_perslid_wachtwoord_hash NOT LIKE '1$%')
    LOOP
        prs.setpassword(c1.prs_perslid_key, NULL);
        fac.trackaction ('PRSLOG', c1.prs_perslid_key, NULL, NULL, 'Old unused password cleared by script');
    END LOOP;
END;
/
COMMIT;
BEGIN adm.systrackscriptId('$Id$'); END;

/
SPOOL OFF
